aboutsummaryrefslogtreecommitdiffstats
path: root/cron-sh/promisc_check.sh
diff options
context:
space:
mode:
authorEugeni Dodonov <eugeni@mandriva.org>2009-01-06 21:31:46 +0000
committerEugeni Dodonov <eugeni@mandriva.org>2009-01-06 21:31:46 +0000
commitff31c9236b1fd7465ea9687fc735e8af882e780e (patch)
treeeec89033b4ad0b2459fbb91fa6dd39077eeaf407 /cron-sh/promisc_check.sh
parentab984707253940bf5ced3a379699e8d0dc757fa6 (diff)
downloadmsec-ff31c9236b1fd7465ea9687fc735e8af882e780e.tar
msec-ff31c9236b1fd7465ea9687fc735e8af882e780e.tar.gz
msec-ff31c9236b1fd7465ea9687fc735e8af882e780e.tar.bz2
msec-ff31c9236b1fd7465ea9687fc735e8af882e780e.tar.xz
msec-ff31c9236b1fd7465ea9687fc735e8af882e780e.zip
Updated to working version of new msec.
Conflicts: Makefile cron-sh/security_check.sh share/msec.py
Diffstat (limited to 'cron-sh/promisc_check.sh')
-rwxr-xr-xcron-sh/promisc_check.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/cron-sh/promisc_check.sh b/cron-sh/promisc_check.sh
index e573526..468a44a 100755
--- a/cron-sh/promisc_check.sh
+++ b/cron-sh/promisc_check.sh
@@ -28,15 +28,11 @@ LogPromisc() {
}
-if [[ -f /var/lib/msec/security.conf ]]; then
- . /var/lib/msec/security.conf
-else
- echo "/var/lib/msec/security.conf doesn't exist."
- exit 1
-fi
-
if [[ -f /etc/security/msec/security.conf ]]; then
. /etc/security/msec/security.conf
+else
+ echo "/etc/security/msec/security.conf don't exist."
+ exit 1
fi
if tail /var/log/security.log | grep -q "promiscuous"; then